summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'virtual/cblas')
-rw-r--r--virtual/cblas/cblas-1.0.ebuild14
-rw-r--r--virtual/cblas/cblas-3.8.ebuild14
-rw-r--r--virtual/cblas/metadata.xml10
3 files changed, 17 insertions, 21 deletions
diff --git a/virtual/cblas/cblas-1.0.ebuild b/virtual/cblas/cblas-1.0.ebuild
new file mode 100644
index 00000000000..4d838124493
--- /dev/null
+++ b/virtual/cblas/cblas-1.0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DESCRIPTION="Virtual for BLAS C implementation"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+RDEPEND="|| (
+ sci-libs/cblas-reference
+ sci-libs/gsl[-cblas-external]
+ >=sci-libs/mkl-9.1.023
+ )"
diff --git a/virtual/cblas/cblas-3.8.ebuild b/virtual/cblas/cblas-3.8.ebuild
deleted file mode 100644
index 0b295963f8d..00000000000
--- a/virtual/cblas/cblas-3.8.ebuild
+++ /dev/null
@@ -1,14 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-DESCRIPTION="Virtual for BLAS C implementation"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
-IUSE="eselect-ldso"
-
-RDEPEND="
- >=sci-libs/lapack-3.8.0[eselect-ldso?]
-"
-DEPEND="${RDEPEND}"
diff --git a/virtual/cblas/metadata.xml b/virtual/cblas/metadata.xml
index 204ea7552ca..9aac1c20c93 100644
--- a/virtual/cblas/metadata.xml
+++ b/virtual/cblas/metadata.xml
@@ -6,11 +6,7 @@
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
- Gentoo virtual package for the Basic Linear Algebra Subprograms
- C implementation.
- </longdescription>
- <use>
- <flag name="eselect-ldso">Enable runtime library switching by
- eselect and ld.so.</flag>
- </use>
+Gentoo virtual package for the Basic Linear Algebra Subprograms
+C implementation.
+</longdescription>
</pkgmetadata>